org.apache.ignite.internal.processors.cache

## Class GridCacheEntryInfoCollectSwapListener<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheEntryInfoCollectSwapListener<K,V>

All Implemented Interfaces:
  GridCacheSwapListener<K,V>

    public class GridCacheEntryInfoCollectSwapListener<K,V>
    extends Object
    implements GridCacheSwapListener<K,V>

### Constructor Summary

Constructors
Constructor and Description
`GridCacheEntryInfoCollectSwapListener(IgniteLogger log, GridCacheContext<K,V> ctx)`

### Method Summary

Methods
`Collection<GridCacheEntryInfo<K,V>>` `entries()`
`void` `onEntryUnswapped(int part, K key, byte[] keyBytes, GridCacheSwapEntry<V> swapEntry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheEntryInfoCollectSwapListener

    public GridCacheEntryInfoCollectSwapListener(IgniteLogger log,
                                         GridCacheContext<K,V> ctx)

Parameters:
  `log` - Logger.
  `ctx` - Context.

### Method Detail

#### onEntryUnswapped

    public void onEntryUnswapped(int part,
                        K key,
                        byte[] keyBytes,
                        GridCacheSwapEntry<V> swapEntry)

Specified by:
  `onEntryUnswapped` in interface `GridCacheSwapListener<K,V>`
Parameters:
  `part` - Partition.
  `key` - Cache key.
  `keyBytes` - Key bytes.
  `swapEntry` - Entry.

#### entries

    public Collection<GridCacheEntryInfo<K,V>> entries()

Returns:
  Entries, received by listener.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015